petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscObjectName

Gives an object a name if it does not have one

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectName(PetscObject obj)

Collective

### Input Parameters

obj -the Petsc variable Thus must be cast with a (PetscObject), for example, PetscObjectName((PetscObject)mat,name);

### Notes

This is used in a small number of places when an object NEEDS a name, for example when it is saved to MATLAB with that variable name. Use PetscObjectSetName() to set the name of an object to what you want. The SAWs viewer requires that no two published objects share the same name.

Developer Note: this needs to generate the exact same string on all ranks that share the object. The current algorithm may not always work.

### See Also

PetscObjectGetName(), PetscObjectSetName()

### Level

developer

### Location

src/sys/objects/pname.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages